package cn.com.qmth.im;

import java.util.HashMap;
import java.util.Map;

public class NoPaperException extends RuntimeException{
	

	/**
	 * 
	 */
	private static final long serialVersionUID = 2190219930300660360L;

	/**
	 * 状态码
	 */
	private String code;

	/**
	 * 状态描述
	 */
	private String desc;

	/**
	 * 构造函数
	 */
	public NoPaperException(String code, String desc) {
		super("[code: " + code + "; desc: " + desc + "]");
		this.code = code;
		this.desc = desc;
	}

	/**
	 * 构造函数
	 */
	public NoPaperException(String code, String desc, Throwable cause) {
		super("[code: " + code + "; desc: " + desc + "]", cause);
		this.code = code;
		this.desc = desc;
	}

	public String getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

	/**
	 * @return
	 */
	public String toJson() {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("code", code);
		map.put("desc", desc);
		return JsonUtil.toJson(map);
	}

	@Override
	public String toString() {
		return toJson();
	}
}
