package cn.com.qmth.run;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import cn.com.qmth.im.MyProducer;
import cn.com.qmth.im.OKHttpUtil;

public class ImportPaperByCourse {

    private static Logger logger = LogManager.getLogger(ImportPaperByCourse.class);

    // 课程属性批次号
    // 不要修改
    // 此值不要修改。因为第一次导入230517批次的时候未保存批次信息，所以230517批次的不能共用。第二次导入230821批次的保存了批次值，可以后续公用。
    private final static String batch = "230821";

    private static AtomicInteger count = new AtomicInteger(0);

    public static void main(String[] args) {
        logger.debug("导入开始");
        Date start = new Date();
        try {
            Map<String, Object> param = new HashMap<>();
            param.put("batch", batch);
            MyProducer pro = new MyProducer();
            pro.startDispose(2, param);
        } catch (Exception e) {
            logger.error(e.getCause(), e);
        }
        Date end = new Date();
        OKHttpUtil.close();
        logger.debug("导入结束，耗时：" + ((end.getTime() - start.getTime()) / 1000));
    }

    public static void addDisposeCount() {
        count.addAndGet(1);
        logger.debug("处理了" + count);
    }
}
